| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Functions
Error.h File Reference

Functions for handling errors, mainly used for obtaining error messages. More...

`#include "ObTypes.h"`

Go to the source code of this file.

## Functions
ob_status | ob_error_status (ob_error *error)
| Get the error status.
const char * | ob_error_message (const ob_error *error)
| Get the error message.
const char * | ob_error_function (ob_error *error)
| Get the name of the API function that caused the error.
const char * | ob_error_args (ob_error *error)
| Get the error parameters.
ob_exception_type | ob_error_exception_type (ob_error *error)
| Get the type of exception that caused the error.
void | ob_delete_error (ob_error *error)
| Delete the error object.

## Detailed Description

Functions for handling errors, mainly used for obtaining error messages.

Definition in file Error.h.

## Function Documentation

## ◆ ob_error_status()

ob_status ob_error_status | ( | ob_error * | error | ) |

Get the error status.

Parameters

  [in] | error | The error object.

Returns
  The error status.

## ◆ ob_error_message()

const char * ob_error_message | ( | const ob_error * | error | ) |

Get the error message.

Parameters

  [in] | error | The error object.

Returns
  The error message.

## ◆ ob_error_function()

const char * ob_error_function | ( | ob_error * | error | ) |

Get the name of the API function that caused the error.

Parameters

  [in] | error | The error object.

Returns
  The name of the API function.

## ◆ ob_error_args()

const char * ob_error_args | ( | ob_error * | error | ) |

Get the error parameters.

Parameters

  [in] | error | The error object.

Returns
  The error parameters.

## ◆ ob_error_exception_type()

ob_exception_type ob_error_exception_type | ( | ob_error * | error | ) |

Get the type of exception that caused the error.

Parameters

  [in] | error | The error object.

Returns
  The type of exception.

## ◆ ob_delete_error()

void ob_delete_error | ( | ob_error * | error | ) |

Delete the error object.

Parameters

  [in] | error | The error object to delete.